import { http } from "./httpClient";

import { Consultant } from "../models/consultant.model";

class MyConsultantService {

  async getFavoriteConsultantList(): Promise<Consultant[]> {
    return http.get<Consultant[]>('/consultant/favorite').then((res) => {
      const hasNewConsultant = res.data.find((consultant) => !consultant.customerViewTime);
      if (hasNewConsultant) {
        this.viewMyConsultantList();
      };
      return res.data;
    });
  }

  private viewMyConsultantList(): void {
    http.post('/consultant/favorite/view');
  }

}

export default new MyConsultantService();
